/**
 * @file salloc.h
 * @brief quick & dirty memory allocator
 * @author Duboisset Philippe
 * @version 0.1b
 * @date (yyyy-mm-dd) 2013-04-07
 *
 * Copyright (C) <2013>  Duboisset Philippe <duboisset.philippe@gmail.com>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * any later version.
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
 
#include "salloc.h"

//humm... to rewrite properly...

uint8_t __attribute__ ((aligned(4)))allocArray[SALLOC_SIZE];
uint32_t offset = 0;


void *salloc(uint32_t byteNeeded) {
  void *res = NULL;

  if(byteNeeded < SALLOC_SIZE && offset + byteNeeded < SALLOC_SIZE) {

    res = &allocArray[offset];

    offset += byteNeeded;

    /*align offset @4 for next allocation*/
    while( (offset & 0x3) != 0) offset++;
  }


  return res;
}


void sfree(void *ptr) {
  offset = 0;
}


void sfreeAll(void) {
  offset = 0;
}
